import React, {Component} from 'react'
import { ConfigProvider } from 'antd'
import { withRouter } from 'react-router-dom'
import zhCN from 'antd/es/locale/zh_CN'

import Header from '../systemfunc/header'
import Proc from './proc'
import './index.scss'

class SysProc extends Component {
  componentDidMount() {
    if (!sessionStorage.getItem('UserID')) {
      this.props.history.replace('/login')
    }
  }

  render () {
    const { params } = this.props.match
    let func = params && params.func ? params.func : ''

    return (
      <div className="mk-proc-view">
        <ConfigProvider locale={zhCN}>
          <Header key="header"/>
          <Proc func={func} />
        </ConfigProvider>
      </div>
    )
  }
}

export default withRouter(SysProc)